import os
import json

def create_project_structure(base_path, structure):
    for name, content in structure.items():
        path = os.path.join(base_path, name)
        if isinstance(content, dict):
            os.makedirs(path, exist_ok=True)
            create_project_structure(path, content)
        else:
            with open(path, 'w', encoding='utf-8') as file:
                file.write(content)

if __name__ == '__main__':
    with open('project_structure.json', 'r', encoding='utf-8') as f:
        project_structure = json.load(f)
    create_project_structure('.', project_structure)